Subject: Re: What's cooking in git.git (Apr 2014, #01; Fri, 4)

From: Torsten Bögershausen <[email-masked]>
Date: Sat, 05 Apr 2014 13:56:21 +0200

On 2014-04-05 11.19, Johannes Sixt wrote:
> Am 04.04.2014 22:58, schrieb Junio C Hamano:
>> * sz/mingw-index-pack-threaded (2014-03-19) 1 commit
>>  - Enable index-pack threading in msysgit.
>>
>>  What is the status of this topic?  A failure report exists
>>  ($gmane/245170), and I am aware of Duy's $gmane/245034 but that was
>>  where the discussion stalled.  Is everybody waiting for everybody
>>  else to get the discussion unstuck?
> 
> I still have to cross-check Duy's patch. I'll hopefully get to it in the
> next days and report back.
> 
> -- Hannes
If this helps the discussion:
----------------------------
commit 03d9d2990b718ef6d859405af399f549c186b4df
Merge: 1b8b51b d84a3da
Author: Junio C Hamano <[email-masked]>
Date:   Fri Apr 4 13:34:56 2014 -0700
----------------------------
looks like this:
grep "not ok" 5302.txt:
not ok 19 - [index v1] 1) stream pack to repository
not ok 21 - [index v1] 3) corrupted delta happily returned wrong data
not ok 24 - [index v1] 6) newly created pack is BAD !
not ok 25 - [index v2] 1) stream pack to repository
not ok 27 - [index v2] 3) corrupted delta happily returned wrong data
not ok 29 - [index v2] 5) pack-objects refuses to reuse corrupted data
not ok 30 - [index v2] 6) verify-pack detects CRC mismatch
-------------------------------------
After reverting 9d66f2d97a97e08ae8d7c86
t5302 passed 3 times of 4 runs.

In the first run a crashing "dd" was reported, but that
was not reproducable.

(And the test log looked like this:)
--------------------
not ok 20 - [index v1] 2) create a stealth corruption in a delta base reference
#       # This test assumes file_101 is a delta smaller than 16 bytes.
#            # It should be against file_100 but we substitute its base for file_099
#            sha1_101=`git hash-object file_101` &&
#            sha1_099=`git hash-object file_099` &&
#            offs_101=`index_obj_offset 1.idx $sha1_101` &&
#            nr_099=`index_obj_nr 1.idx $sha1_099` &&
#            chmod +w ".git/objects/pack/pack-${pack1}.pack" &&
#            dd of=".git/objects/pack/pack-${pack1}.pack" seek=$(($offs_101 + 1)) \
#               if=".git/objects/pack/pack-${pack1}.idx" \
#               skip=$((4 + 256 * 4 + $nr_099 * 24)) \
#               bs=1 count=20 conv=notrunc &&
#            git cat-file blob $sha1_101 > file_101_foo1
not ok 21 - [index v1] 3) corrupted delta happily returned wrong data
#       test -f file_101_foo1 && ! cmp file_101 file_101_foo1